Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class AxisService

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisService

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude

    public class AxisService

extends AxisDescription

Class AxisService

Field Summary
`static java.lang.String` | `IMPORT_TAG`
`static java.lang.String` | `INCLUDE_TAG`
`static java.lang.String` | `SCHEMA_LOCATION`
`static java.lang.String` | `SUPPORT_SINGLE_OP` If this param is true, and the service has exactly one AxisOperation, normal operation dispatch (via URI/soapAction/etc) will not be necessary, and we'll just default to funneling all messages to that op.

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`AxisService()` Constructor AxisService.
`AxisService(java.lang.String name)` Constructor AxisService.

Method Summary
`void` | `addDataLocatorClassNames(java.lang.String dialect, java.lang.String dataLocatorClassName)` Save data Locator configured at service level for this Axis Service
`void` | `addEndpoint(java.lang.String key, AxisEndpoint axisEndpoint)`
`void` | `addExposedTransport(java.lang.String transport)`
`void` | `addHttpLocationDispatcherString(java.lang.String string, AxisOperation axisOperation)` Maps an constant string in the whttp:location to the given operation.
`void` | `addMessageContextListener(MessageContextListener scl)` Add a ServiceContextListener
`void` | `addMessageElementQNameToOperationMapping(javax.xml.namespace.QName messageElementQName, AxisOperation operation)` Add an entry to the map between element QNames in WSDL messages and AxisOperations for this service.
`void` | `addMessageReceiver(java.lang.String mepURI, MessageReceiver messageReceiver)`
`void` | `addModuleConfig(ModuleConfiguration moduleConfiguration)` Adds module configuration , if there is moduleConfig tag in service.
`void` | `addModuleref(java.lang.String moduleref)`
`void` | `addOperation(AxisOperation axisOperation)` Method addOperation.
`void` | `addSchema(java.util.Collection<org.apache.ws.commons.schema.XmlSchema> schemas)`
`void` | `addSchema(org.apache.ws.commons.schema.XmlSchema schema)`
`void` | `attachEnvelopeEvent(MessageContext mc)` Signal an Attach Envelope Event
`void` | `attachServiceContextEvent(ServiceContext sc, MessageContext mc)` Signal an Attach ServiceContext Event
`static AxisService` | `createClientSideAxisService(javax.wsdl.Definition wsdlDefinition, javax.xml.namespace.QName wsdlServiceName, java.lang.String portName, Options options)`
`static AxisService` | `createClientSideAxisService(java.net.URL wsdlURL, javax.xml.namespace.QName wsdlServiceName, java.lang.String portName, Options options)` To create a AxisService for a given WSDL and the created client is most suitable for client side invocation not for server side invocation.
`static AxisService` | `createService(java.lang.String implClass, AxisConfiguration axisConfig)` To create an AxisService using given service impl class name first generate schema corresponding to the given java class , next for each methods AxisOperation will be created.
`static AxisService` | `createService(java.lang.String implClass, AxisConfiguration axisConfiguration, java.util.Map messageReceiverClassMap, java.lang.String targetNamespace, java.lang.String schemaNamespace, java.lang.ClassLoader loader)` messageReceiverClassMap will hold the MessageReceivers for given meps.
`static AxisService` | `createService(java.lang.String implClass, java.lang.String serviceName, AxisConfiguration axisConfiguration, java.util.Map<java.lang.String,MessageReceiver> messageReceiverClassMap, java.lang.String targetNamespace, java.lang.ClassLoader loader, SchemaGenerator schemaGenerator, AxisService axisService)` messageReceiverClassMap will hold the MessageReceivers for given meps.
`AxisServiceGroup` | `getAxisServiceGroup()`
`java.lang.String` | `getBindingName()`
`java.lang.ClassLoader` | `getClassLoader()` Method getClassLoader.
`java.util.ArrayList<AxisOperation>` | `getControlOperations()` Gets the control operation which are added by module like RM.
`java.lang.String` | `getCustomSchemaNamePrefix()`
`java.lang.String` | `getCustomSchemaNameSuffix()`
`Data[]` | `getData(DataRetrievalRequest request, MessageContext msgContext)` Find a data locator from the available data locators (both configured and default ones) to retrieve Metadata or data specified in the request.
`AxisDataLocator` | `getDataLocator(LocatorType locatorType, java.lang.String dialect)`
`AxisEndpoint` | `getEndpoint(java.lang.String key)`
`java.lang.String` | `getEndpointName()` get the endpointName
`java.util.Map<java.lang.String,AxisEndpoint>` | `getEndpoints()`
`java.lang.String` | `getEndpointURL()` Deprecated. use `AxisEndpoint.getEndpointURL()`
`java.lang.String[]` | `getEPRs()`
`ExcludeInfo` | `getExcludeInfo()`
`java.util.List<java.lang.String>` | `getExposedTransports()`
`java.net.URL` | `getFileName()`
`AxisDataLocator` | `getGlobalDataLocator(java.lang.String dialect)`
`java.util.List` | `getImportedNamespaces()` Get the namespaces associated with imported WSDLs
`java.lang.Object` | `getKey()`
`long` | `getLastupdate()` Deprecated. please use getLastUpdate
`long` | `getLastUpdate()`
`MessageReceiver` | `getMessageReceiver(java.lang.String mepURL)`
`ModuleConfiguration` | `getModuleConfig(java.lang.String moduleName)`
`java.util.ArrayList<java.lang.String>` | `getModules()`
`java.lang.String` | `getName()`
`java.util.Map` | `getNamespaceMap()` Get the namespace map for this service.
`java.util.Map<java.lang.String,java.lang.String>` | `getNameSpacesMap()` Deprecated. please use getNamespaceMap()
`ObjectSupplier` | `getObjectSupplier()`
`AxisOperation` | `getOperation(javax.xml.namespace.QName operationName)` Method getOperation.
`AxisOperation` | `getOperationByAction(java.lang.String action)` Returns the AxisOperation which has been mapped to the given alias.
`AxisOperation` | `getOperationByMessageElementQName(javax.xml.namespace.QName messageElementQName)` Look up an AxisOperation for this service based off of an element QName from a WSDL message element.
`AxisOperation` | `getOperationBySOAPAction(java.lang.String soapAction)` Returns the operation given a SOAP Action.
`java.util.Iterator<AxisOperation>` | `getOperations()` Method getOperations.
`java.util.List` | `getOperationsNameList()`
`java.util.Map` | `getP2nMap()`
`java.lang.String` | `getPortTypeName()` Deprecated. use AxisService#getEndpointName() instead.
`java.util.ArrayList<AxisOperation>` | `getPublishedOperations()` Gets only the published operations.
`java.util.ArrayList<org.apache.ws.commons.schema.XmlSchema>` | `getSchema()`
`org.apache.ws.commons.schema.XmlSchema` | `getSchema(int index)`
`org.apache.ws.commons.schema.XmlSchemaElement` | `getSchemaElement(javax.xml.namespace.QName elementQName)`
`java.util.Map` | `getSchemaMappingTable()`
`java.lang.String` | `getSchematargetNamespace()` Deprecated. please use getSchemaTargetNamespace
`java.lang.String` | `getSchemaTargetNamespace()`
`java.lang.String` | `getSchemaTargetNamespacePrefix()`
`java.lang.String` | `getScope()`
`java.lang.String` | `getServiceDescription()` Deprecated. Use getDocumentation() instead
`ServiceLifeCycle` | `getServiceLifeCycle()`
`java.lang.String` | `getSoapNsUri()` get the SOAPVersion
`java.lang.String` | `getTargetNamespace()`
`java.lang.String` | `getTargetNamespacePrefix()`
`TypeTable` | `getTypeTable()`
`java.lang.String` | `getWSAddressingFlag()` Deprecated. Use AddressingHelper.getAddressingRequirementParemeterValue
`boolean` | `hasMessageContextListener(java.lang.Class cls)`
`boolean` | `isActive()`
`boolean` | `isClientSide()`
`boolean` | `isCustomWsdl()`
`boolean` | `isElementFormDefault()`
`boolean` | `isEnableAllTransports()`
`boolean` | `isExposedTransport(java.lang.String transport)`
`boolean` | `isModifyUserWSDLPortAddress()` By default the port address in user WSDLs is modified, set the following parameter to override this behaviour false
`boolean` | `isSchemaLocationsAdjusted()`
`boolean` | `isSetEndpointsToAllUsedBindings()` users can use this parameter when they supply a wsdl file with the .aar file but wants to generate the endpoints for all available transports.
`boolean` | `isUseDefaultChains()`
`boolean` | `isUseUserWSDL()` User can set a parameter in services.xml saying he want to show the original wsdl that he put into META-INF once someone ask for ?wsdl so if you want to use your own wsdl then add following parameter into services.xml true
`boolean` | `isWsdlFound()`
`protected AxisDataLocator` | `loadDataLocator(java.lang.String className)`
`org.apache.neethi.Policy` | `lookupPolicy(java.lang.String key)`
`void` | `mapActionToOperation(java.lang.String action, AxisOperation axisOperation)` Maps an alias (such as a SOAPAction, WSA action, or an operation name) to the given AxisOperation.
`void` | `onDisengage(AxisModule module)`
`void` | `onEngage(AxisModule axisModule, AxisDescription engager)` Engages a module.
`java.util.Map` | `populateSchemaMappings()`
`java.util.Map` | `populateSchemaMappings(boolean overrideAbsoluteAddress)` runs the schema mappings if it has not been run previously it is best that this logic be in the axis service since one can call the axis service to populate the schema mappings
`void` | `printSchema(java.io.OutputStream out)` Prints the schema to the given output stream.
`void` | `printUserWSDL(java.io.OutputStream out, java.lang.String wsdlName)`
`void` | `printUserWSDL(java.io.OutputStream out, java.lang.String wsdlName, java.lang.String ip)` Prints the user WSDL.
`void` | `printWSDL(java.io.OutputStream out)` Print the WSDL with a default URL.
`void` | `printWSDL(java.io.OutputStream out, java.lang.String requestIP)` Produces a WSDL for this AxisService and prints it to the specified OutputStream.
`void` | `printWSDL2(java.io.OutputStream out)` Print the WSDL2.0 with a default URL.
`void` | `printWSDL2(java.io.OutputStream out, java.lang.String requestIP)` Prints WSDL2.0 data for the service with the given host IP address.
`int` | `printWSDL2(java.io.OutputStream out, java.lang.String requestIP, java.lang.String wsdl)` Produces a WSDL2 for this AxisService and prints it to the specified OutputStream.
`int` | `printXSD(java.io.OutputStream out, java.lang.String xsd)` Produces a XSD for this AxisService and prints it to the specified OutputStream.
`void` | `registerPolicy(java.lang.String key, org.apache.neethi.Policy policy)`
`void` | `releaseSchemaList()` Release the list of schema objects.
`void` | `removeExposedTransport(java.lang.String transport)`
`void` | `removeMessageContextListener(MessageContextListener scl)` Remove a ServiceContextListener
`void` | `removeOperation(javax.xml.namespace.QName opName)`
`void` | `setActive(boolean active)`
`void` | `setBindingName(java.lang.String bindingName)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)` Method setClassLoader.
`void` | `setClientSide(boolean clientSide)`
`void` | `setCustomSchemaNamePrefix(java.lang.String customSchemaNamePrefix)`
`void` | `setCustomSchemaNameSuffix(java.lang.String customSchemaNameSuffix)`
`void` | `setCustomWsdl(boolean customWsdl)`
`void` | `setElementFormDefault(boolean elementFormDefault)`
`void` | `setEnableAllTransports(boolean enableAllTransports)` To eneble service to be expose in all the transport
`void` | `setEndpointName(java.lang.String endpoint)`
`void` | `setEndpointURL(java.lang.String endpointURL)` Deprecated. use `AxisEndpoint.setEndpointURL(String)`
`void` | `setEPRs(java.lang.String[] eprs)`
`void` | `setExcludeInfo(ExcludeInfo excludeInfo)`
`void` | `setExposedTransports(java.util.List transports)`
`void` | `setFileName(java.net.URL fileName)`
`void` | `setImportedNamespaces(java.util.List importedNamespaces)` Set the namespaces associated with imported WSDLs
`void` | `setLastupdate()` Deprecated. please use setLastUpdate
`void` | `setLastUpdate()` Sets the current time as last update time of the service.
`void` | `setMessageElementQNameToOperationMap(java.util.Map messageElementQNameToOperationMap)` Set the map of WSDL message element QNames to AxisOperations for this service.
`void` | `setName(java.lang.String name)`
`void` | `setNamespaceMap(org.apache.ws.commons.schema.utils.NamespaceMap namespaceMap)`
`void` | `setNameSpacesMap(org.apache.ws.commons.schema.utils.NamespaceMap nameSpacesMap)` Deprecated. please use setNamespaceMap
`void` | `setObjectSupplier(ObjectSupplier objectSupplier)`
`void` | `setOperationsNameList(java.util.List operationsNameList)`
`void` | `setP2nMap(java.util.Map p2nMap)`
`void` | `setParent(AxisServiceGroup parent)`
`void` | `setPortTypeName(java.lang.String portTypeName)` Deprecated. use AxisService#setEndpointName() instead
`void` | `setSchemaLocationsAdjusted(boolean schemaLocationsAdjusted)`
`void` | `setSchemaMappingTable(java.util.Map schemaMappingTable)`
`void` | `setSchemaTargetNamespace(java.lang.String schematargetNamespace)`
`void` | `setSchematargetNamespacePrefix(java.lang.String schematargetNamespacePrefix)` Deprecated. please use setSchemaTargetNamespacePrefix
`void` | `setSchemaTargetNamespacePrefix(java.lang.String schematargetNamespacePrefix)`
`void` | `setScope(java.lang.String scope)`
`void` | `setServiceDescription(java.lang.String documentation)` Deprecated. Use setDocumentation() instead
`void` | `setServiceLifeCycle(ServiceLifeCycle serviceLifeCycle)`
`void` | `setSoapNsUri(java.lang.String soapNsUri)`
`void` | `setTargetNamespace(java.lang.String targetNamespace)`
`void` | `setTargetNamespacePrefix(java.lang.String targetNamespacePrefix)`
`void` | `setTypeTable(TypeTable typeTable)`
`void` | `setUseDefaultChains(boolean useDefaultChains)`
`void` | `setWSAddressingFlag(java.lang.String ar)` Deprecated. Use AddressingHelper.setAddressingRequirementParemeterValue
`void` | `setWsdlFound(boolean wsdlFound)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isEngaged, isParameterLocked, isParameterTrue, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUPPORT_SINGLE_OP

    public static final java.lang.String SUPPORT_SINGLE_OP

  If this param is true, and the service has exactly one AxisOperation, normal operation dispatch (via URI/soapAction/etc) will not be necessary, and we'll just default to funneling all messages to that op. This is useful for passthrough/ESB/embedded applications.

  See Also:
    Constant Field Values

### IMPORT_TAG

    public static final java.lang.String IMPORT_TAG

See Also:
  Constant Field Values

### INCLUDE_TAG

    public static final java.lang.String INCLUDE_TAG

See Also:
  Constant Field Values

### SCHEMA_LOCATION

    public static final java.lang.String SCHEMA_LOCATION

See Also:
  Constant Field Values

Constructor Detail

### AxisService

    public AxisService()

  Constructor AxisService.

### AxisService

    public AxisService(java.lang.String name)

  Constructor AxisService.

Method Detail

### getEndpoint

    public AxisEndpoint getEndpoint(java.lang.String key)

### addEndpoint

    public void addEndpoint(java.lang.String key,
                            AxisEndpoint axisEndpoint)

### getWSAddressingFlag

    public java.lang.String getWSAddressingFlag()

  Deprecated. Use AddressingHelper.getAddressingRequirementParemeterValue

### setWSAddressingFlag

    public void setWSAddressingFlag(java.lang.String ar)

  Deprecated. Use AddressingHelper.setAddressingRequirementParemeterValue

### isSchemaLocationsAdjusted

    public boolean isSchemaLocationsAdjusted()

### setSchemaLocationsAdjusted

    public void setSchemaLocationsAdjusted(boolean schemaLocationsAdjusted)

### getSchemaMappingTable

    public java.util.Map getSchemaMappingTable()

### setSchemaMappingTable

    public void setSchemaMappingTable(java.util.Map schemaMappingTable)

### getCustomSchemaNamePrefix

    public java.lang.String getCustomSchemaNamePrefix()

### setCustomSchemaNamePrefix

    public void setCustomSchemaNamePrefix(java.lang.String customSchemaNamePrefix)

### getCustomSchemaNameSuffix

    public java.lang.String getCustomSchemaNameSuffix()

### setCustomSchemaNameSuffix

    public void setCustomSchemaNameSuffix(java.lang.String customSchemaNameSuffix)

### getPortTypeName

    public java.lang.String getPortTypeName()

  Deprecated. use AxisService#getEndpointName() instead.

  Returns:
    name of the port type

### setPortTypeName

    public void setPortTypeName(java.lang.String portTypeName)

  Deprecated. use AxisService#setEndpointName() instead

  Parameters:
    `portTypeName` -

### getBindingName

    public java.lang.String getBindingName()

### setBindingName

    public void setBindingName(java.lang.String bindingName)

### getSoapNsUri

    public java.lang.String getSoapNsUri()

  get the SOAPVersion

### setSoapNsUri

    public void setSoapNsUri(java.lang.String soapNsUri)

### getEndpointName

    public java.lang.String getEndpointName()

  get the endpointName

### setEndpointName

    public void setEndpointName(java.lang.String endpoint)

### addMessageReceiver

    public void addMessageReceiver(java.lang.String mepURI,
                                   MessageReceiver messageReceiver)

### getMessageReceiver

    public MessageReceiver getMessageReceiver(java.lang.String mepURL)

### addModuleConfig

    public void addModuleConfig(ModuleConfiguration moduleConfiguration)

  Adds module configuration , if there is moduleConfig tag in service.

  Parameters:
    `moduleConfiguration` -

### addModuleref

    public void addModuleref(java.lang.String moduleref)

### addOperation

    public void addOperation(AxisOperation axisOperation)

  Method addOperation.

  Parameters:
    `axisOperation` -

### onEngage

    public void onEngage(AxisModule axisModule,
                         AxisDescription engager)
                  throws AxisFault

  Engages a module. It is required to use this method.

  Overrides:
    `onEngage` in class `AxisDescription`
  Parameters:
    `axisModule` -
    `engager` -
  Throws:
    `AxisFault`

### mapActionToOperation

    public void mapActionToOperation(java.lang.String action,
                                     AxisOperation axisOperation)

  Maps an alias (such as a SOAPAction, WSA action, or an operation name) to the given AxisOperation. This is used by dispatching (both SOAPAction- and WSAddressing- based dispatching) to figure out which operation a given message is for. Some notes on restrictions of "action" - A null or empty action will be ignored - An action that is a duplicate and references an idential operation is allowed - An acton that is a duplicate and references a different operation is NOT allowed. In this case, the action for the original operation is removed from the alias table, thus removing the ability to route based on this action. This is necessary to prevent mis-directing incoming message to the wrong operation based on SOAPAction. Note that an alias could be a SOAPAction, WS-Addressing Action, the operation name, or some other alias.

  Parameters:
    `action` - the alias key
    `axisOperation` - the operation to map to
  See Also:
    `getOperationByAction(String)`

### addHttpLocationDispatcherString

    public void addHttpLocationDispatcherString(java.lang.String string,
                                                AxisOperation axisOperation)

  Maps an constant string in the whttp:location to the given operation. This is used by RequestURIOperationDispatcher based dispatching to figure out which operation it is that a given message is for.

  Parameters:
    `string` - the constant drawn from whttp:location
    `axisOperation` - the operation to map to

### printSchema

    public void printSchema(java.io.OutputStream out)
                     throws AxisFault

  Prints the schema to the given output stream.

  Parameters:
    `out` - The output stream for the data to be written. NOTE: the stream is not closed after the operation, it is the responsibility of the caller to close the stream after usage.
  Throws:
    `AxisFault`

### getSchema

    public org.apache.ws.commons.schema.XmlSchema getSchema(int index)

### releaseSchemaList

    public void releaseSchemaList()

  Release the list of schema objects.

  In some environments, this can provide significant relief of memory consumption in the java heap, as long as the need for the schema list has completed.

### setEPRs

    public void setEPRs(java.lang.String[] eprs)

### getEPRs

    public java.lang.String[] getEPRs()

### printUserWSDL

    public void printUserWSDL(java.io.OutputStream out,
                              java.lang.String wsdlName)
                       throws AxisFault

  Throws:
    `AxisFault`

### printUserWSDL

    public void printUserWSDL(java.io.OutputStream out,
                              java.lang.String wsdlName,
                              java.lang.String ip)
                       throws AxisFault

  Prints the user WSDL.

  Parameters:
    `out` - The output stream for the data to be written. NOTE: the stream is not closed after the operation, it is the responsibility of the caller to close the stream after usage.
    `wsdlName` - The name of the WSDL.
    `ip` - The host IP address.
  Throws:
    `AxisFault`

### printXSD

    public int printXSD(java.io.OutputStream out,
                        java.lang.String xsd)
                 throws java.io.IOException

  Produces a XSD for this AxisService and prints it to the specified OutputStream.

  Parameters:
    `out` - destination stream, NOTE: the stream is not closed after the operation, it is the responsibility of the caller to close the stream after usage.
    `xsd` - schema name
  Returns:
    -1 implies not found, 0 implies redirect to root, 1 implies found/printed a schema
  Throws:
    `java.io.IOException`

### printWSDL

    public void printWSDL(java.io.OutputStream out,
                          java.lang.String requestIP)
                   throws AxisFault

  Produces a WSDL for this AxisService and prints it to the specified OutputStream.

  Parameters:
    `out` - destination stream. The WSDL will be sent here. NOTE: the stream is not closed after the operation, it is the responsibility of the caller to close the stream after usage.
    `requestIP` - the hostname the WSDL request was directed at. This should be the address that appears in the generated WSDL.
  Throws:
    `AxisFault` - if an error occurs

### isSetEndpointsToAllUsedBindings

    public boolean isSetEndpointsToAllUsedBindings()

  users can use this parameter when they supply a wsdl file with the .aar file but wants to generate the endpoints for all available transports. here it assume that the user has not set the useOriginalwsdl

  Returns:

### printWSDL

    public void printWSDL(java.io.OutputStream out)
                   throws AxisFault

  Print the WSDL with a default URL. This will be called only during codegen time.

  Parameters:
    `out` - The output stream for the data to be written. NOTE: the stream is not closed after the operation, it is the responsibility of the caller to close the stream after usage.
  Throws:
    `AxisFault`

### printWSDL2

    public void printWSDL2(java.io.OutputStream out)
                    throws AxisFault

  Print the WSDL2.0 with a default URL. This will be called only during codegen time.

  Parameters:
    `out` - The output stream for the data to be written for. NOTE: the stream is not closed after the operation, it is the responsibility of the caller to close the stream after usage.
  Throws:
    `AxisFault`

### printWSDL2

    public void printWSDL2(java.io.OutputStream out,
                           java.lang.String requestIP)
                    throws AxisFault

  Prints WSDL2.0 data for the service with the given host IP address.

  Parameters:
    `out` - The output stream for the data to be written for. NOTE: the stream is not closed after the operation, it is the responsibility of the caller to close the stream after usage.
    `requestIP` - The host IP address.
  Throws:
    `AxisFault`

### printWSDL2

    public int printWSDL2(java.io.OutputStream out,
                          java.lang.String requestIP,
                          java.lang.String wsdl)
                   throws java.io.IOException,
                          AxisFault

  Produces a WSDL2 for this AxisService and prints it to the specified OutputStream.

  Parameters:
    `out` - destination stream. NOTE: the stream is not closed after the operation, it is the responsibility of the caller to close the stream after usage.
    `wsdl` - wsdl name
  Returns:
    -1 implies not found, 0 implies redirect to root, 1 implies found/printed wsdl
  Throws:
    `java.io.IOException`
    `AxisFault`

### getServiceDescription

    public java.lang.String getServiceDescription()

  Deprecated. Use getDocumentation() instead

  Gets the description about the service which is specified in services.xml.

  Returns:
    Returns String.

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Method getClassLoader.

  Returns:
    Returns ClassLoader.

### getControlOperations

    public java.util.ArrayList<AxisOperation> getControlOperations()

  Gets the control operation which are added by module like RM.

### getFileName

    public java.net.URL getFileName()

### getLastupdate

    public long getLastupdate()

  Deprecated. please use getLastUpdate

  Returns:

### getLastUpdate

    public long getLastUpdate()

### getModuleConfig

    public ModuleConfiguration getModuleConfig(java.lang.String moduleName)

### getModules

    public java.util.ArrayList<java.lang.String> getModules()

### getName

    public java.lang.String getName()

### getOperation

    public AxisOperation getOperation(javax.xml.namespace.QName operationName)

  Method getOperation.

  Parameters:
    `operationName` -
  Returns:
    Returns AxisOperation.

### getOperationByAction

    public AxisOperation getOperationByAction(java.lang.String action)

  Returns the AxisOperation which has been mapped to the given alias.

  Parameters:
    `action` - the alias key
  Returns:
    Returns the corresponding AxisOperation or null if it isn't found.
  See Also:
    `mapActionToOperation(String, AxisOperation)`

### getOperationBySOAPAction

    public AxisOperation getOperationBySOAPAction(java.lang.String soapAction)

  Returns the operation given a SOAP Action. This method should be called if only one Endpoint is defined for this Service. If more than one Endpoint exists, one of them will be picked. If more than one Operation is found with the given SOAP Action; null will be returned. If no particular Operation is found with the given SOAP Action; null will be returned. If the action is in the list of invaliad aliases, which means it did not uniquely identify an operation, a null will be returned.

  Parameters:
    `soapAction` - SOAP Action defined for the particular Operation
  Returns:
    Returns an AxisOperation if a unique Operation can be found with the given SOAP Action otherwise will return null.

### getOperations

    public java.util.Iterator<AxisOperation> getOperations()

  Method getOperations.

  Returns:
    Returns HashMap

### getPublishedOperations

    public java.util.ArrayList<AxisOperation> getPublishedOperations()

  Gets only the published operations.

### setServiceDescription

    public void setServiceDescription(java.lang.String documentation)

  Deprecated. Use setDocumentation() instead

  Sets the description about the service which is specified in services.xml

  Parameters:
    `documentation` -

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

  Method setClassLoader.

  Parameters:
    `classLoader` -

### setFileName

    public void setFileName(java.net.URL fileName)

### setLastupdate

    public void setLastupdate()

  Deprecated. please use setLastUpdate

  Sets the current time as last update time of the service.

### setLastUpdate

    public void setLastUpdate()

  Sets the current time as last update time of the service.

### setName

    public void setName(java.lang.String name)

### getSchema

    public java.util.ArrayList<org.apache.ws.commons.schema.XmlSchema> getSchema()

### addSchema

    public void addSchema(org.apache.ws.commons.schema.XmlSchema schema)

### addSchema

    public void addSchema(java.util.Collection<org.apache.ws.commons.schema.XmlSchema> schemas)

### isWsdlFound

    public boolean isWsdlFound()

### setWsdlFound

    public void setWsdlFound(boolean wsdlFound)

### getScope

    public java.lang.String getScope()

### setScope

    public void setScope(java.lang.String scope)

  Parameters:
    `scope` - - Available scopes : Constants.SCOPE_APPLICATION Constants.SCOPE_TRANSPORT_SESSION Constants.SCOPE_SOAP_SESSION Constants.SCOPE_REQUEST.equals

### isUseDefaultChains

    public boolean isUseDefaultChains()

### setUseDefaultChains

    public void setUseDefaultChains(boolean useDefaultChains)

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in class `AxisDescription`

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean active)

### getSchematargetNamespace

    public java.lang.String getSchematargetNamespace()

  Deprecated. please use getSchemaTargetNamespace

  Returns:

### getSchemaTargetNamespace

    public java.lang.String getSchemaTargetNamespace()

### setSchemaTargetNamespace

    public void setSchemaTargetNamespace(java.lang.String schematargetNamespace)

### getSchemaTargetNamespacePrefix

    public java.lang.String getSchemaTargetNamespacePrefix()

### setSchematargetNamespacePrefix

    public void setSchematargetNamespacePrefix(java.lang.String schematargetNamespacePrefix)

  Deprecated. please use setSchemaTargetNamespacePrefix

  Parameters:
    `schematargetNamespacePrefix` -

### setSchemaTargetNamespacePrefix

    public void setSchemaTargetNamespacePrefix(java.lang.String schematargetNamespacePrefix)

### getTargetNamespace

    public java.lang.String getTargetNamespace()

### setTargetNamespace

    public void setTargetNamespace(java.lang.String targetNamespace)

### getTargetNamespacePrefix

    public java.lang.String getTargetNamespacePrefix()

### setTargetNamespacePrefix

    public void setTargetNamespacePrefix(java.lang.String targetNamespacePrefix)

### getSchemaElement

    public org.apache.ws.commons.schema.XmlSchemaElement getSchemaElement(javax.xml.namespace.QName elementQName)

### isEnableAllTransports

    public boolean isEnableAllTransports()

### setEnableAllTransports

    public void setEnableAllTransports(boolean enableAllTransports)

  To eneble service to be expose in all the transport

  Parameters:
    `enableAllTransports` -

### getExposedTransports

    public java.util.List<java.lang.String> getExposedTransports()

### setExposedTransports

    public void setExposedTransports(java.util.List transports)

### addExposedTransport

    public void addExposedTransport(java.lang.String transport)

### removeExposedTransport

    public void removeExposedTransport(java.lang.String transport)

### isExposedTransport

    public boolean isExposedTransport(java.lang.String transport)

### onDisengage

    public void onDisengage(AxisModule module)
                     throws AxisFault

  Overrides:
    `onDisengage` in class `AxisDescription`
  Throws:
    `AxisFault`

### createClientSideAxisService

    public static AxisService createClientSideAxisService(java.net.URL wsdlURL,
                                                          javax.xml.namespace.QName wsdlServiceName,
                                                          java.lang.String portName,
                                                          Options options)
                                                   throws AxisFault

  To create a AxisService for a given WSDL and the created client is most suitable for client side invocation not for server side invocation. Since all the soap action and wsa action is added to operations

  Parameters:
    `wsdlURL` - location of the WSDL
    `wsdlServiceName` - name of the service to be invoke , if it is null then the first one will be selected if there are more than one
    `portName` - name of the port , if there are more than one , if it is null then the first one in the iterator will be selected
    `options` - Service client options, to set the target EPR
  Returns:
    AxisService , the created service will be return
  Throws:
    `AxisFault`

### createClientSideAxisService

    public static AxisService createClientSideAxisService(javax.wsdl.Definition wsdlDefinition,
                                                          javax.xml.namespace.QName wsdlServiceName,
                                                          java.lang.String portName,
                                                          Options options)
                                                   throws AxisFault

  Throws:
    `AxisFault`

### createService

    public static AxisService createService(java.lang.String implClass,
                                            AxisConfiguration axisConfig)
                                     throws AxisFault

  To create an AxisService using given service impl class name first generate schema corresponding to the given java class , next for each methods AxisOperation will be created. If the method is in-out it will uses RPCMessageReceiver else RPCInOnlyMessageReceiver

  Note : Inorder to work this properly RPCMessageReceiver should be available in the class path otherewise operation can not continue

  Parameters:
    `implClass` - Service implementation class
    `axisConfig` - Current AxisConfiguration
  Returns:
    return created AxisSrevice the creted service , it can either be null or valid service
  Throws:
    `AxisFault`

### createService

    public static AxisService createService(java.lang.String implClass,
                                            AxisConfiguration axisConfiguration,
                                            java.util.Map messageReceiverClassMap,
                                            java.lang.String targetNamespace,
                                            java.lang.String schemaNamespace,
                                            java.lang.ClassLoader loader)
                                     throws AxisFault

  messageReceiverClassMap will hold the MessageReceivers for given meps. Key will be the mep and value will be the instance of the MessageReceiver class. Ex: Map mrMap = new HashMap(); mrMap.put("http://www.w3.org/2004/08/wsdl/in-only", RPCInOnlyMessageReceiver.class.newInstance()); mrMap.put("http://www.w3.org/2004/08/wsdl/in-out", RPCMessageReceiver.class.newInstance());

  Parameters:
    `implClass` -
    `axisConfiguration` -
    `messageReceiverClassMap` -
    `targetNamespace` -
    `schemaNamespace` -
  Throws:
    `AxisFault`

### createService

    public static AxisService createService(java.lang.String implClass,
                                            java.lang.String serviceName,
                                            AxisConfiguration axisConfiguration,
                                            java.util.Map<java.lang.String,MessageReceiver> messageReceiverClassMap,
                                            java.lang.String targetNamespace,
                                            java.lang.ClassLoader loader,
                                            SchemaGenerator schemaGenerator,
                                            AxisService axisService)
                                     throws AxisFault

  messageReceiverClassMap will hold the MessageReceivers for given meps. Key will be the mep and value will be the instance of the MessageReceiver class. Ex: Map mrMap = new HashMap(); mrMap.put("http://www.w3.org/2004/08/wsdl/in-only", RPCInOnlyMessageReceiver.class.newInstance()); mrMap.put("http://www.w3.org/2004/08/wsdl/in-out", RPCMessageReceiver.class.newInstance());

  Parameters:
    `implClass` -
    `axisConfiguration` -
    `messageReceiverClassMap` -
    `targetNamespace` -
  Throws:
    `AxisFault`

### removeOperation

    public void removeOperation(javax.xml.namespace.QName opName)

### getNameSpacesMap

    public java.util.Map<java.lang.String,java.lang.String> getNameSpacesMap()

  Deprecated. please use getNamespaceMap()

  Get the namespace map for this service.

  Returns:
    a Map of prefix (String) to namespace URI (String)

### getNamespaceMap

    public java.util.Map getNamespaceMap()

  Get the namespace map for this service.

  Returns:
    a Map of prefix (String) to namespace URI (String)

### getImportedNamespaces

    public java.util.List getImportedNamespaces()

  Get the namespaces associated with imported WSDLs

  Returns:
    a `List` of namespace URIs (String)

### setImportedNamespaces

    public void setImportedNamespaces(java.util.List importedNamespaces)

  Set the namespaces associated with imported WSDLs

  Parameters:
    `importedNamespaces` -

### setNameSpacesMap

    public void setNameSpacesMap(org.apache.ws.commons.schema.utils.NamespaceMap nameSpacesMap)

  Deprecated. please use setNamespaceMap

  Parameters:
    `nameSpacesMap` -

### setNamespaceMap

    public void setNamespaceMap(org.apache.ws.commons.schema.utils.NamespaceMap namespaceMap)

### populateSchemaMappings

    public java.util.Map populateSchemaMappings()

### populateSchemaMappings

    public java.util.Map populateSchemaMappings(boolean overrideAbsoluteAddress)

  runs the schema mappings if it has not been run previously it is best that this logic be in the axis service since one can call the axis service to populate the schema mappings

### isClientSide

    public boolean isClientSide()

### setClientSide

    public void setClientSide(boolean clientSide)

### isElementFormDefault

    public boolean isElementFormDefault()

### setElementFormDefault

    public void setElementFormDefault(boolean elementFormDefault)

### isUseUserWSDL

    public boolean isUseUserWSDL()

  User can set a parameter in services.xml saying he want to show the original wsdl that he put into META-INF once someone ask for ?wsdl so if you want to use your own wsdl then add following parameter into services.xml true

### isModifyUserWSDLPortAddress

    public boolean isModifyUserWSDLPortAddress()

  By default the port address in user WSDLs is modified, set the following parameter to override this behaviour false

### getServiceLifeCycle

    public ServiceLifeCycle getServiceLifeCycle()

### setServiceLifeCycle

    public void setServiceLifeCycle(ServiceLifeCycle serviceLifeCycle)

### getP2nMap

    public java.util.Map getP2nMap()

### setP2nMap

    public void setP2nMap(java.util.Map p2nMap)

### getObjectSupplier

    public ObjectSupplier getObjectSupplier()

### setObjectSupplier

    public void setObjectSupplier(ObjectSupplier objectSupplier)

### getTypeTable

    public TypeTable getTypeTable()

### setTypeTable

    public void setTypeTable(TypeTable typeTable)

### getData

    public Data[] getData(DataRetrievalRequest request,
                          MessageContext msgContext)
                   throws AxisFault

  Find a data locator from the available data locators (both configured and default ones) to retrieve Metadata or data specified in the request.

  Parameters:
    `request` - an `DataRetrievalRequest` object
    `msgContext` - message context
  Returns:
    array of `Data` object for the request.
  Throws:
    `AxisFault`

### addDataLocatorClassNames

    public void addDataLocatorClassNames(java.lang.String dialect,
                                         java.lang.String dataLocatorClassName)

  Save data Locator configured at service level for this Axis Service

  Parameters:
    `dialect-` - an absolute URI represents the Dialect i.e. WSDL, Policy, Schema or "ServiceLevel" for non-dialect service level data locator.
    `dataLocatorClassName` - - class name of the Data Locator configured to support data retrieval for the specified dialect.

### getDataLocator

    public AxisDataLocator getDataLocator(LocatorType locatorType,
                                          java.lang.String dialect)
                                   throws AxisFault

  Throws:
    `AxisFault`

### getGlobalDataLocator

    public AxisDataLocator getGlobalDataLocator(java.lang.String dialect)
                                         throws AxisFault

  Throws:
    `AxisFault`

### loadDataLocator

    protected AxisDataLocator loadDataLocator(java.lang.String className)
                                       throws AxisFault

  Throws:
    `AxisFault`

### setMessageElementQNameToOperationMap

    public void setMessageElementQNameToOperationMap(java.util.Map messageElementQNameToOperationMap)

  Set the map of WSDL message element QNames to AxisOperations for this service. This map is used during SOAP Body-based routing for document/literal bare services to match the first child element of the SOAP Body element to an operation. (Routing for RPC and document/literal wrapped services occurs via the operationsAliasesMap.)

  From section 4.7.6 of the WS-I BP 1.1: the "operation signature" is "the fully qualified name of the child element of SOAP body of the SOAP input message described by an operation in a WSDL binding," and thus this map must be from a QName to an operation.

  Parameters:
    `messageElementQNameToOperationMap` - The map from WSDL message element QNames to AxisOperations.

### getOperationByMessageElementQName

    public AxisOperation getOperationByMessageElementQName(javax.xml.namespace.QName messageElementQName)

  Look up an AxisOperation for this service based off of an element QName from a WSDL message element.

  Parameters:
    `messageElementQName` - The QName to search for.
  Returns:
    The AxisOperation registered to the QName or null if no match was found.
  See Also:
    `setMessageElementQNameToOperationMap(Map)`

### addMessageElementQNameToOperationMapping

    public void addMessageElementQNameToOperationMapping(javax.xml.namespace.QName messageElementQName,
                                                         AxisOperation operation)

  Add an entry to the map between element QNames in WSDL messages and AxisOperations for this service.

  Parameters:
    `messageElementQName` - The QName of the element on the input message that maps to the given operation.
    `operation` - The AxisOperation to be mapped to.
  See Also:
    `setMessageElementQNameToOperationMap(Map)`

### getEndpointURL

    public java.lang.String getEndpointURL()

  Deprecated. use `AxisEndpoint.getEndpointURL()`

### setEndpointURL

    public void setEndpointURL(java.lang.String endpointURL)

  Deprecated. use `AxisEndpoint.setEndpointURL(String)`

### getEndpoints

    public java.util.Map<java.lang.String,AxisEndpoint> getEndpoints()

### isCustomWsdl

    public boolean isCustomWsdl()

### setCustomWsdl

    public void setCustomWsdl(boolean customWsdl)

### getOperationsNameList

    public java.util.List getOperationsNameList()

### setOperationsNameList

    public void setOperationsNameList(java.util.List operationsNameList)

### getAxisServiceGroup

    public AxisServiceGroup getAxisServiceGroup()

### setParent

    public void setParent(AxisServiceGroup parent)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getExcludeInfo

    public ExcludeInfo getExcludeInfo()

### setExcludeInfo

    public void setExcludeInfo(ExcludeInfo excludeInfo)

### registerPolicy

    public void registerPolicy(java.lang.String key,
                               org.apache.neethi.Policy policy)

### lookupPolicy

    public org.apache.neethi.Policy lookupPolicy(java.lang.String key)

### addMessageContextListener

    public void addMessageContextListener(MessageContextListener scl)

  Add a ServiceContextListener

  Parameters:
    `scl` -

### removeMessageContextListener

    public void removeMessageContextListener(MessageContextListener scl)

  Remove a ServiceContextListener

  Parameters:
    `scl` -

### hasMessageContextListener

    public boolean hasMessageContextListener(java.lang.Class cls)

  Parameters:
    `cls` - Class of ServiceContextListener
  Returns:
    true if ServiceContextLister is in the list

### attachServiceContextEvent

    public void attachServiceContextEvent(ServiceContext sc,
                                          MessageContext mc)

  Signal an Attach ServiceContext Event

  Parameters:
    `sc` - ServiceContext
    `mc` - MessageContext

### attachEnvelopeEvent

    public void attachEnvelopeEvent(MessageContext mc)

  Signal an Attach Envelope Event

  Parameters:
    `mc` - MessageContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.